Subject: More Parser Bugs

From: Stephen Peters <[email-masked]>
Date: Fri, 18 Nov 1994 17:30:30 -0800

Hello Paul:  While testing out the latest version of the parser (ibischk2b) I have
uncovered the following problems.

 1. The parser allows a minimum or maximum I-V column to begin/end with NA
    (it does flag an error if this occurs with the typical column).  This
    situation is illegal for all three columns.

 2.  It is legal for a terminator model to have only the [GND clamp]
     and [POWER clamp] keywords and not use any of the [Rgnd]/[Power]/[Rac]/
     [Cac] keywords.  If this occurs the parser currenly flags this as an error.

 3.  The parser does not recognize the word 'Sparse_matrix' as a legal argument
     to any of the [Matrix] keywords in the package model section.

     Other that the above the parser looks very clean.  If you receive other
feedback please have the person(s) mail the reflector so I can update the
test matrix.  Thanks.

                 Best Regards,
                 Stephen Peters
                 Intel Corp.